summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Dibb <beandog@gentoo.org>2010-02-16 04:14:13 +0000
committerSteve Dibb <beandog@gentoo.org>2010-02-16 04:14:13 +0000
commit44b73dbb74420c25d19226f7e35b9e00dd9b1757 (patch)
tree7096032353da3de414215ee855cd2f09c290dd5d /eclass/php-pear-r1.eclass
parentFix typo, bug 305149 (diff)
downloadgentoo-2-44b73dbb74420c25d19226f7e35b9e00dd9b1757.tar.gz
gentoo-2-44b73dbb74420c25d19226f7e35b9e00dd9b1757.tar.bz2
gentoo-2-44b73dbb74420c25d19226f7e35b9e00dd9b1757.zip
Fix dependencies for new pear setup where PEAR-PEAR doesn't pull in all
deps, and dev-php/pear is new virtual
Diffstat (limited to 'eclass/php-pear-r1.eclass')
-rw-r--r--eclass/php-pear-r1.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index 5760b4dc7ab3..42a3df375114 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.22 2009/01/12 23:09:02 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.23 2010/02/16 04:14:13 beandog Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -19,7 +19,9 @@ inherit multilib
EXPORT_FUNCTIONS src_install
-DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.6.1"
+DEPEND="dev-lang/php
+ || ( ( >=dev-php/PEAR-PEAR-1.6.1 <dev-php/PEAR-PEAR-1.8.1 )
+ >=dev-php/pear-1.8.1 )"
RDEPEND="${DEPEND}"
# @ECLASS-VARIABLE: PHP_PEAR_PKG_NAME